API Reference

List direct credits

GET/direct_credits

Query Parameters

offsetinteger (int32)(optional)· Defaults to 1

Page number to return

limitinteger (int32)(optional)· Defaults to 10

Max number of results to return

fromstring (date)(optional)

Lower bound for the date at which the direct credit was created

tostring (date)(optional)

Upper bound for the date at which the direct credit was created

Request

curl
curl 'https://gateway.pmnts-sandbox.io/v1.0/direct_credits?limit=2&offset=1' -u TEST:TEST

Response

200Result
json
{
  "successful": true,
  "response": [
  {
    "id": "071-DC-RT8G3YV",
    "amount": 42,
    "bsb": "123-123",
    "account_number": "000000000",
    "account_name": "Test 2",
    "description": "Confirmation",
    "reference": "071-DC-RT8G3YV",
    "date": "2018-09-14",
    "process_date": null,
    "status": "New",
    "result": null,
    "metadata": null
  },
  {
    "id": "071-DC-7ASQS6M4",
    "amount": 10.06,
    "bsb": "123-123",
    "account_number": "012345678",
    "account_name": "Test",
    "description": "Confirmation",
    "reference": "071-DC-7ASQS6M4",
    "date": "2018-09-13",
    "process_date": "2018-09-13",
    "status": "Pending",
    "result": "Submitted to institution",
    "metadata": {
    "batch_id": "ced360"
    }
  }
  ],
  "errors": [],
  "records": 2,
  "total_records": 685,
  "page": 1,
  "total_pages": 343,
  "test": true,
}